シークレット削除
curl --request DELETE \
--url https://api.example.com/v1/secrets/{name}import requests
url = "https://api.example.com/v1/secrets/{name}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/v1/secrets/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Secrets
シークレット削除
シークレットを削除。
DELETE
/
v1
/
secrets
/
{name}
シークレット削除
DELETE https://api-datahub.octoparse.com/v1/secrets/{name}
認証:APIキー必須(Authorization: Bearer <API Key>)。
保存シークレットを削除。env.<name> を参照し続ける App は復元または App 更新まで以降の実行で失敗。
リクエスト
パスパラメータ
string
必須
Secret name.
リクエスト例
curl -X DELETE -H "Authorization: Bearer $OCTOPARSE_API_KEY" "https://api-datahub.octoparse.com/v1/secrets/EXAMPLE_API_KEY"
レスポンス
200 成功
{
"data": {
"name": "EXAMPLE_API_KEY",
"deleted": true
}
}
エラー
| HTTP | code | category | Description |
|---|---|---|---|
| 401 | unauthorized | forbidden | API キー欠落または無効。 |
| 404 | secret-not-found | not_found | シークレットが存在しない。 |
{"error": {code, category, message, retryable}} です。エラー を参照。